

import { useEffect, useRef, useState } from 'react'
import './style.less'

// import userBck from '../../assets/userBck.png'





const UserQRcode = () => {

  const [showTime, setShowTime] = useState("")
  const timer = useRef();
  useEffect(() => {
    setInterval(() => {
      const ymd = new Date()
      const time = ymd.toTimeString().slice(0, 8)
      var year = ymd.getFullYear();
      var month = ymd.getMonth();
      var day = ymd.getDate();
      const times = `${year}-${month}-${day} ${time}`

      setShowTime(times)
    }, 1000)
    return () => {
      clearInterval(timer.current);
    };

  }, [])



  return (
    <div className='index-UserQRcode'>
      {/* <Text>Hello world!</Text> */}
      {/* <div className='index-UserQRcode-headerInfo' style={{ backgroundImage: `url(${userBck})` }}> */}
      <div className='index-UserQRcode-headerInfo' >
        <div className='index-UserQRcode-headerInfo-User'>
          <div className='index-UserQRcode-headerInfo-User-NameInfo'>姓名：鲍张抄</div>
          <div className='index-UserQRcode-headerInfo-User-setNameInfo'>+修改信息</div>
        </div>
        <div className='index-UserQRcode-headerInfo-UserID'>身份证：320888800110023011</div>
      </div>
      <div className='index-UserQRcode-cententQR'>
        <div className='index-UserQRcode-cententQR-Times'>
          {showTime}
        </div>
      </div>
    </div>
  )
}




export default UserQRcode;